> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Status of a Specific Gift Card

Retrieves the status of a gift card previously created in Subscribe by a gift call redemption or a gift card call.

## HTTP Request

`GET https://api.vindicia.com/gift_cards`

## Route (URL) Parameters

None.

## Query Parameters

**Note:** All calls must be filtered by either pin or product number.

| Parameter | Default | Type | Description | Required |
| - | - | - | - | - |
| limit | 20 | n/a | A limit on the number of objects to be returned, up to 20. | No |
| pin | none | string | Limits the gift card redemption list to that associated with a specific gift card pin | Yes |
| product\_number | none | string | Limits the list to a specific gift card product number (account number). | Yes |

## Accepts

None.

## Returns

JSON - full [Gift Cards](Gift_Cards) object.

## Example Request

```

curl -X GET \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \ 
"https://api.staging.us-west.vindicia.com/gift_cards?pin=IAAKEBJYMEXF6T3Q"
```

## Example Response

The above command returns JSON structured like this:

```
{
    "object": "GiftCard",
    "vid": "7c302cdebce31729b9c120746cc0d2064680e3ff",
    "last_digits": "6T3Q",
    "pin_length": 16,
    "hash_type": "sha1",
    "pin_hash": "bbc821c09731ab40bf135d06e6385de2a6ea745b",
    "payment_provider": "Topps",
    "status": "Active",
    "amount": 150,
    "currency": "MXN",
    "product_number": "93058816967009381111"
}
```

**Parent topic:**[Gift Cards](../topics/Gift_Cards)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.